Subject: RE: IPP>MOD

From: Babak Jahromi <[email-masked]>
Date: Wed, 26 Feb 1997 11:42:26 -0800

I am not sure what you mean by GUI in the diagram? Isn't GUI part of the
application? Also, appliaction calls the Printer driver directly,
assuming my understanding of the the GUI piece is correct.

There is usually another component between Printer Driver and "IPP
client", namely the spooler. Unless you were including the spooler in
the Printer Driver (but spooler is normally running as a separate
process from the app). So most likely the IPP client would be running as
a spooler component.

Also, I am not sure how the browser would work independent of the IPP
client. Are you assuming the browser would have the IPP client built-in?

Babak

> -----Original Message-----
> From:	[email-masked] [SMTP:[email-masked]]
> Sent:	Wednesday, February 26, 1997 10:49 AM
> To:	[email-masked]
> Subject:	IPP>MOD
> 
> Classification:
> Prologue:
> Epilogue: Roger K deBry
> Senior Techncial Staff Member
> Architecture and Technology
> IBM Printing Systems
> email: [email-masked]
> phone: 1-303-924-4080
> 
> I've drawn up the following diagram to help me think about the
> components
> in an IPP system.  Perhaps this would be useful in the model document.
> Does the picture look about right? I'd appreciate any comments.
> You'll need a monospace font for things to line up right.
> 
>                  o            +-------------+
>                \|/           | Application  |
>                / \           +------+------+
>               End-User              |
>    +-------------+  +-----+  +------+-------+
>    |   Browser   |  | GUI |  | Print Driver |
>    +------+------+  +--+--+  +------+-------+
>           |            |            |
>           |        +---+------------+---+
>   D  S    |        |      IPP Client    |
>   I  E    |        +---------+----------+
>   R  C    |                  |
>   E  U
>   C  R  ---------- HTTP -----------
>   T  I
>   O  T               |
>   R  Y               |
>   Y        +---------+---------+
>            |     Web Server    |
>            +---------+---------+
>                      |
>            +---------+---------+
>            |    IPP Server     |
>            +---------+---------+
>                      |
>            +---------+---------+
>            |   Print Service   |
>            +---------+---------+
>                      |
>               Output Device(s)
>